<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.community.applyuser.mapper.ApplyUserMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="applyUserResultMap" type="org.springblade.community.applyuser.entity.ApplyUser">
        <result column="id" property="id"/>
        <result column="create_time" property="createTime"/>
        <result column="create_user" property="createUser"/>
        <result column="create_dept" property="createDept"/>
        <result column="update_time" property="updateTime"/>
        <result column="update_user" property="updateUser"/>
        <result column="status" property="status"/>
        <result column="is_deleted" property="isDeleted"/>
        <result column="user_id" property="userId"/>
        <result column="member_id" property="memberId"/>
        <result column="name" property="name"/>
        <result column="room" property="room"/>
        <result column="check_state" property="checkState"/>
        <result column="check_opinion" property="checkOpinion"/>
        <result column="check_date" property="checkDate"/>
        <result column="type" property="type"/>
        <result column="nationality" property="nationality"/>
        <result column="id_card" property="idCard"/>
        <result column="passport_img_uri" property="passportImgUri"/>
        <result column="entry_img_uri" property="entryImgUri"/>
        <result column="tel" property="tel"/>
        <result column="sex" property="sex"/>
        <result column="unit" property="unit"/>
        <result column="residential" property="residential"/>
        <result column="grid" property="grid"/>
        <result column="org_position" property="orgPosition"/>
        <result column="root_org_id" property="rootOrgId"/>
        <result column="create_type" property="createType"/>
        <result column="image_uri" property="imageUri"/>
        <result column="face_code" property="faceCode"/>
        <result column="record_type" property="recordType"/>
        <result column="estate_position" property="estatePosition"/>
    </resultMap>


    <select id="selectApplyUserPage" resultMap="applyUserResultMap">
        select * from estate_apply_user where is_deleted = 0
    </select>

</mapper>
